#include <iostream>
#include <vector>

#include "range_based_for.h"

void RangeBasedForTest::run() {
  std::vector<int> vals = {1, 2, 3, 4, 5};

  std::cout << "vals: ";
  for (auto val : vals) {
    std::cout << val << " ";
  }
  std::cout << std::endl;

  for (auto &val : vals) {
    val *= 2;
  }

  std::cout << "vals: ";
  for (auto val : vals) {
    std::cout << val << " ";
  }
  std::cout << std::endl;
}
